Package org.apache.sling.sitemap.builder.extensions

## Interface AlternateLanguageExtension

All Superinterfaces:
  `Extension`

All Known Implementing Classes:
  `AlternateLanguageExtensionProvider.ExtensionImpl`

    @ProviderType
    public interface AlternateLanguageExtension
    extends Extension

An extension to add alternate language links to an `Url`.

See Also:
  Tell Google about localized versions of your page

### Method Summary

All Methods Instance Methods Abstract Methods
`@NotNull AlternateLanguageExtension` `setDefaultLocale()`
`@NotNull AlternateLanguageExtension` `setHref​(@NotNull String location)`
`@NotNull AlternateLanguageExtension` `setLocale​(@NotNull Locale locale)`

### Method Detail

#### setLocale

    @NotNull
    @NotNull AlternateLanguageExtension setLocale​(@NotNull
                                                  @NotNull Locale locale)

#### setDefaultLocale

    @NotNull
    @NotNull AlternateLanguageExtension setDefaultLocale()

#### setHref

    @NotNull
    @NotNull AlternateLanguageExtension setHref​(@NotNull
                                                @NotNull String location)